using build::BuildPod

class Build : BuildPod {

	new make() {
		podName = "afWebDemo2"
		summary = "A web demo for Adam"
		version = Version("0.0.1")

		meta = [
			"pod.dis"		: "Web Demo 2",
		]

		depends = [
			// ---- Core ------------------------
			"sys          1.0.71 - 1.0",
			"dom          1.0.71 - 1.0",
			"gfx          1.0.71 - 1.0",
			"domkit       1.0.71 - 1.0",
			"util         1.0.71 - 1.0",
			"web          1.0.71 - 1.0",
			"wisp         1.0.71 - 1.0",
		]

		srcDirs = [`fan/`]
		resDirs = [,]
	}
}
