using web::WebRes
using web::WebUtil

** Adapted from `http://www.alienfactory.co.uk/articles/create-a-mini-web-app-with-wisp`
class IndexPage {
	Void render(WebRes res) {
		res.headers["Content-Type"] = "text/html"
		script := StrBuf()
		WebUtil.jsMain(script.out, MyJavascript#goAdamGo.qname)
		thisPod := typeof.pod.name
		res.out.print("<!DOCTYPE html>
		               <html>
		               <head>
		                 <title>Wisp Example</title>
		                 <script type='text/javascript' src='/pod/sys/sys.js'></script>
		                 <script type='text/javascript' src='/pod/concurrent/concurrent.js'></script>
		                 <script type='text/javascript' src='/pod/graphics/graphics.js'></script>
		                 <script type='text/javascript' src='/pod/web/web.js'></script>
		                 <script type='text/javascript' src='/pod/dom/dom.js'></script>
		                 <script type='text/javascript' src='/pod/domkit/domkit.js'></script>
		                 <script type='text/javascript' src='/pod/${thisPod}/${thisPod}.js'></script>
		                 <link rel='stylesheet' type='text/css' href='/pod/domkit/res/css/domkit.css'>
		               </head>
		               <body>
		                 <div>Wisp Demo</div>
		                 ${script}
		               </body>
		               </html>")
	}
}
